Bug 124451 - USB Flash memory don't works
USB Flash memory don't works
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 13:30 EDT by fv3358
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fv3358 2004-05-26 13:30:31 EDT
Description of problem:
I can't mount the USB Flash memory stick


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
allways

Steps to Reproduce:

1. Insert the memory stick into the usb port
2. try to mount it


  
Actual results:
[felix@ppal felix]$ mount /mnt/usb1
mount: /dev/sda1 no es un dispositivo de bloques válido


Expected results:


Additional info:
/var/log entryes

**************************************************
     INSERTING USB STICK
**************************************************
May 26 19:25:56 ppal kernel: usb 1-5: new high speed USB device using
address 2
May 26 19:25:57 ppal kernel: Initializing USB Mass Storage driver...
May 26 19:25:57 ppal kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
May 26 19:25:57 ppal kernel:   Vendor: Generic   Model:              
  Rev:                                                               
                 
May 26 19:25:57 ppal kernel:   Type:   Direct-Access                 
    ANSI SCSI revision: 02 May 26 19:25:57 ppal kernel: SCSI device
sda: 503808 512-byte hdwr sectors (258 MB) May 26 19:25:57 ppal
kernel: sda: Write Protect is off
***********************************************************
         TRYING TO MOUNT
***********************************************************
May 26 19:26:07 ppal scsi.agent[2875]: Attribute
/sys/devices/pci0000:00/0000:00:02.2/usb1/1-5/1-5:1.0/host0/0:0:0:0/type
does not exist
May 26 19:26:27 ppal kernel: usb 1-5: USB disconnect, address 2
Comment 1 john.l.villalovos 2004-05-26 16:42:46 EDT
Looks like a duplicate of Bug: 124139
Comment 2 Sven Neuhaus 2004-06-14 10:46:02 EDT
Try removing the scs_mod kernel module, then load it with
# modprobe scsi_mod max_luns=6

After plugging in the USB card reader, click on "My computer" on your
desktop and check if it shows flash memory devices. Double clicking
will mount them.
Comment 3 Dave Jones 2005-04-16 01:23:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.